Summary: A GUI toolkit based on Xlib for the X Window System.
Name: xforms
Version: 0.88
Release: 9
Group: Development/Libraries
Copyright: non-commercial distributable (see Copyright)
Source0: xform0881.tgz
Source1: forms_sngl.ps.gz
Patch0: xform0881-rh.patch
Patch1: xform0881-glibc21.patch
NoSource: 0
URL: http://bragg.phys.uwm.edu/xforms
Prefix: /usr
BuildRoot: /var/tmp/%{name}-root

%description
XForms features a rich set of objects (like buttons, sliders,
and menus) integrated into an easy and efficient object/event callback
execution model, allowing for fast and easy construction of X applications.
The library is extensible--new objects can easily be created and added.

If you're installing xforms, you may want to also install xforms-devel,
which is a near-WYSIWYG GUI builder which works with XForms.

%package demos
Group: Development/Libraries
Summary: XForms demonstration programs.

%description demos
Xforms-demos includes the full source code to 50+ demonstration
programs.  If you plan on using XForms and you aren't an expert, you should
download xforms-demos and take a look at them.

%package devel
Group: Development/Libraries
Summary: An XForms GUI builder.
%description devel
Xforms-devel is a near-WYSIWYG GUI builder that can be used to
design your UI and write the corresponding C code for you.  If you're
installing xforms, you may want to also install xforms-devel.  If you want
to install xforms-devel, you must also install xforms.

%prep
%setup -q -n xforms
cp $RPM_SOURCE_DIR/forms_sngl.ps.gz  .

%patch0 -p1 -b .rh
%patch1 -p1 -b .glibc21

%build
make config << EOF
14
EOF

make CC=egcs \
    BIN_DIR=/usr/X11R6/bin \
    LIB_TOPDIR=/usr/X11R6 \
	all shlib demo

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/man/man5
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/lib
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 -d $RPM_BUILD_ROOT/usr/include
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/xforms

make \
    BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
    LIB_DIR=$RPM_BUILD_ROOT/usr/X11R6/lib \
    MAN1_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
    MAN5_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man5 \
    HEADER_DIR=$RPM_BUILD_ROOT/usr/include \
	install

# fix broken symlink for man page
rm $RPM_BUILD_ROOT/usr/X11R6/man/man5/forms.5
ln -s xforms.5 $RPM_BUILD_ROOT/usr/X11R6/man/man5/forms.5

install -c -m 0755 fd2ps/fd2ps $RPM_BUILD_ROOT/usr/X11R6/bin/fd2ps
install -c -m 0644 fd2ps/fd2ps.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/fd2ps.1

install -c -m 755 FORMS/libforms.so.0.88 $RPM_BUILD_ROOT/usr/X11R6/lib/libforms.so.0.88
ln -sf libforms.so.0.* $RPM_BUILD_ROOT/usr/X11R6/lib/libforms.so

cp -a contrib $RPM_BUILD_ROOT/usr/lib/xforms
cp -a mkconfig.h $RPM_BUILD_ROOT/usr/lib/xforms
cp -a DEMOS $RPM_BUILD_ROOT/usr/lib/xforms
cp -a FORMS/Readme $RPM_BUILD_ROOT/usr/lib/xforms
cp -a FORMS/gl.c $RPM_BUILD_ROOT/usr/lib/xforms

cd $RPM_BUILD_ROOT/usr/lib/xforms && rm -f *.o */*.o */*/*.o

%post -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
/usr/X11R6/bin/fd2ps

/usr/X11R6/lib/libforms.so.0.88

/usr/include/forms.h
/usr/lib/xforms/gl.c

%doc forms_sngl.ps.gz
%doc Bugs Changes Copyright Readme 
%doc /usr/lib/xforms/Readme

/usr/X11R6/man/man5/forms.5
/usr/X11R6/man/man5/xforms.5
/usr/X11R6/man/man1/fdesign.1
/usr/X11R6/man/man1/fd2ps.1

%files demos
%defattr(-,root,root)
%doc /usr/lib/xforms/contrib/Readme
/usr/lib/xforms/mkconfig.h
/usr/lib/xforms/DEMOS
 
%files devel
%defattr(-,root,root)
/usr/X11R6/lib/libforms.so
/usr/X11R6/lib/libforms.a
/usr/X11R6/bin/fdesign

%changelog
* Mon Aug 16 1999 Preston Brown <pbrown@redhat.com>
- fix broken man page symlink.

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- Build from (non-distributable) source.

* Thu Oct 06 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file
- built for 5.2

* Thu May 14 1998 Michael Maher <mike@redhat.com>
- inspected package and buildroots. 

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- fixed fdesign being a directory
- moved fdesign to devel package, 
- fixed broken symlink from libforms.so to libforms.so.0.88

* Mon Dec  8 1997 Otto Hammersmith <otto@redhat.com>
- fixed alpha library dependency problems.

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>
- add provides for the .81 libs

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- buildrooted

* Wed Nov 19 1997 Otto Hammersmith <otto@redhat.com>
- updated to 0.88

* Tue Apr 8 1997 Michael Fulbright <msf@redhat.com>
Updated package to version 0.86.
